package main

import (
	"database/sql"
	"fmt"
	_ "github.com/mattn/go-sqlite3"
	"log"
)

var db *sql.DB

func init() {
	db, _ = sql.Open("sqlite3", "/home/frick/go/src/bitbucket.org/prmunty/condensermain/prime_unity.db")
	_ = db
}

func main() {

	theReallyLongSQL := [...]string{
		"UPDATE condenser SET name = 'Condenser', num = 0;",
		"UPDATE condenser_info SET model = '', serial = '';",
		"UPDATE contacts SET email = '', if_you_need = '', name = '', phone = '';",
		"UPDATE global_settings_ammonia_names_condenser SET name = 'Ammonia 1' WHERE input_letter = 'A';",
		"UPDATE global_settings_ammonia_names_condenser SET name = 'Ammonia 2' WHERE input_letter = 'B';",
		"UPDATE global_settings_ammonia_names_condenser SET name = 'Ammonia 3' WHERE input_letter = 'C';",

		"UPDATE global_settings_analog_aux_inputs_condenser SET name = 'Analog Aux A' WHERE input_letter = 'A';",
		"UPDATE global_settings_analog_aux_inputs_condenser SET name = 'Analog Aux B' WHERE input_letter = 'B';",
		"UPDATE global_settings_analog_aux_inputs_condenser SET name = 'Analog Aux C' WHERE input_letter = 'C';",
		"UPDATE global_settings_analog_aux_inputs_condenser SET name = 'Analog Aux D' WHERE input_letter = 'D';",
		"UPDATE global_settings_analog_aux_inputs_condenser SET name = 'Analog Aux E' WHERE input_letter = 'E';",
		"UPDATE global_settings_analog_aux_inputs_condenser SET name = 'Analog Aux F' WHERE input_letter = 'F';",
		"UPDATE global_settings_analog_aux_inputs_condenser SET name = 'Analog Aux G' WHERE input_letter = 'G';",
		"UPDATE global_settings_analog_aux_inputs_condenser SET name = 'Analog Aux H' WHERE input_letter = 'H';",
		"UPDATE global_settings_analog_aux_inputs_condenser SET name = 'Analog Aux I' WHERE input_letter = 'I';",
		"UPDATE global_settings_analog_aux_inputs_condenser SET name = 'Analog Aux J' WHERE input_letter = 'J';",

		"UPDATE global_settings_analog_aux_inputs_units_condenser SET value = '';",
		"UPDATE global_settings_analog_aux_inputs_units_vessel SET value = '';",

		"UPDATE global_settings_condenser_steps SET name = 'Single Speed Fan #1' WHERE output = 'a';",
		"UPDATE global_settings_condenser_steps SET name = 'Step #2' WHERE output = 'b';",
		"UPDATE global_settings_condenser_steps SET name = 'Step #3' WHERE output = 'c';",
		"UPDATE global_settings_condenser_steps SET name = 'Step #4' WHERE output = 'd';",
		"UPDATE global_settings_condenser_steps SET name = 'Single Speed Fan #5' WHERE output = 'e';",
		"UPDATE global_settings_condenser_steps SET name = 'Var Speed Fan #6' WHERE output = 'f';",
		"UPDATE global_settings_condenser_steps SET name = 'Two Speed Fan Lo #7' WHERE output = 'g';",
		"UPDATE global_settings_condenser_steps SET name = 'Water Pump #8' WHERE output = 'h';",
		"UPDATE global_settings_condenser_steps SET name = 'Single Speed Fan #9' WHERE output = 'i';",
		"UPDATE global_settings_condenser_steps SET name = 'Step #10' WHERE output = 'j';",
		"UPDATE global_settings_condenser_steps SET name = 'Two Speed Fan Lo #11' WHERE output = 'k';",
		"UPDATE global_settings_condenser_steps SET name = 'Single Speed Fan #12' WHERE output = 'l';",
		"UPDATE global_settings_condenser_steps SET name = 'Var Speed Fan #13' WHERE output = 'm';",
		"UPDATE global_settings_condenser_steps SET name = 'Water Pump #14' WHERE output = 'n';",
		"UPDATE global_settings_condenser_steps SET name = 'Two Speed Fan Lo #15' WHERE output = 'o';",
		"UPDATE global_settings_condenser_steps SET name = 'Single Speed Fan #16' WHERE output = 'p';",

		"UPDATE global_settings_digital_aux_inputs_condenser SET name = 'Digital Aux Input A' WHERE input_letter = 'A';",
		"UPDATE global_settings_digital_aux_inputs_condenser SET name = 'Digital Aux Input B' WHERE input_letter = 'B';",
		"UPDATE global_settings_digital_aux_inputs_condenser SET name = 'Digital Aux Input C' WHERE input_letter = 'C';",
		"UPDATE global_settings_digital_aux_inputs_condenser SET name = 'Digital Aux Input D' WHERE input_letter = 'D';",
		"UPDATE global_settings_digital_aux_inputs_condenser SET name = 'Digital Aux Input E' WHERE input_letter = 'E';",
		"UPDATE global_settings_digital_aux_inputs_condenser SET name = 'Digital Aux Input F' WHERE input_letter = 'F';",
		"UPDATE global_settings_digital_aux_inputs_condenser SET name = 'Digital Aux Input G' WHERE input_letter = 'G';",
		"UPDATE global_settings_digital_aux_inputs_condenser SET name = 'Digital Aux Input H' WHERE input_letter = 'H';",
		"UPDATE global_settings_digital_aux_inputs_condenser SET name = 'Digital Aux Input I' WHERE input_letter = 'I';",
		"UPDATE global_settings_digital_aux_inputs_condenser SET name = 'Digital Aux Input J' WHERE input_letter = 'J';",

		"UPDATE global_settings_pid_names SET name = 'P/I Control A' WHERE input_letter = 'A';",
		"UPDATE global_settings_pid_names SET name = 'P/I Control B' WHERE input_letter = 'B';",
		"UPDATE global_settings_pid_names SET name = 'P/I Control C' WHERE input_letter = 'C';",
		"UPDATE global_settings_pid_names SET name = 'P/I Control D' WHERE input_letter = 'D';",

		"UPDATE global_settings_pid_names_vessel SET name = 'P/I Control A' WHERE input_letter = 'A';",
		"UPDATE global_settings_pid_names_vessel SET name = 'P/I Control B' WHERE input_letter = 'B';",
		"UPDATE global_settings_pid_names_vessel SET name = 'P/I Control C' WHERE input_letter = 'C';",
		"UPDATE global_settings_pid_names_vessel SET name = 'P/I Control D' WHERE input_letter = 'D';",

		"DELETE FROM user_defined;",
		"DELETE FROM user_settings;",
		"DELETE FROM users;",
	}

	for i := range theReallyLongSQL {
		_, err := db.Exec(theReallyLongSQL[i])
		if err != nil {
			log.Fatal(err)
		}
		fmt.Println(theReallyLongSQL[i], " - EXECUTED")
	}

}
