package main

import (
	"database/sql"
    migration "bitbucket.org/prmunty/util/dbmigration/db"
	_ "github.com/mattn/go-sqlite3"

)

func main() {
	const version float64 = 7.0
	migration.Migrate(version, func(tx *sql.Tx) (err error) {
		return migration.DoUntilErr(tx,
			UpdateUserTable,
		)
	})
}

func UpdateUserTable(tx *sql.Tx) error {
	_, err := tx.Exec(`ALTER TABLE users ADD COLUMN mobile_domain TEXT`)
	if err != nil{
		return err
	}
	_, err1 := tx.Exec(`ALTER TABLE users ADD COLUMN mobile_notifications INTEGER`)
	if err1 != nil{
		return err1
	}
    _, err2 := tx.Exec(`UPDATE users SET mobile_domain=?,mobile_notifications=?`,"",0)
	if err2 != nil{
		return err2
	}
    return nil
}