function ClearedHandler(alarmObject) {
    wsRead("3:710:0:0:1", {
        onmessage: function (conn, responseData) {
            if ( alarmObject.watchSocket != null ) {
                alarmObject.watchSocket.onmessage = function(){};
            }
            var alarmVal = responseData.values[0].value;
            if (alarmVal > 0) {
                var firstMessage = $("<div/>").append(specialMessages[0]);
                var secondMessage = $("<div/>").append(specialMessages[alarmVal]);
                $("#status-modal-body").append(firstMessage).append(secondMessage);
                $("#status-modal").css({ "z-index":"99999"});
                $("#status-modal").modal("show");
                $("#status-modal").on('hide.bs.modal.alarm', function () {
                    $("#status-modal-body").html('');
                    $("#status-modal").off('hide.bs.modal.alarm');
                    wsWrite({type: 'write',
                             values: [
                                 {
                                     name:"SpecialAlarm",
                                     address: "3:710:0:0:0",
                                 }
                             ]
                            }, 
                            {
                                success: function () {
                                    location.reload(true);
                                }
                            }
                           );
                    
                });
            } else {
                 location.reload(true);
            }
        }
    });
}




